Package de.tudresden.sumo.subscription

## Enum SubscribtionVariable

- java.lang.Object
- - java.lang.Enum<SubscribtionVariable>
  - - de.tudresden.sumo.subscription.SubscribtionVariable

- All Implemented Interfaces:
    `Serializable`, `Comparable<SubscribtionVariable>`

      public enum SubscribtionVariable
      extends Enum<SubscribtionVariable>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `areal_detector` |
    `edge` |
    `gui` |
    `inductive_loop` |
    `junction` |
    `lane` |
    `me_detector` |
    `person` |
    `poi` |
    `polygon` |
    `route` |
    `simulation` |
    `trafficlight` |
    `vehicle` |
    `vehicleType` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getID()` |
    `static SubscribtionVariable` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SubscribtionVariable[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### inductive_loop

          public static final SubscribtionVariable inductive_loop

    - #### areal_detector

          public static final SubscribtionVariable areal_detector

    - #### me_detector

          public static final SubscribtionVariable me_detector

    - #### trafficlight

          public static final SubscribtionVariable trafficlight

    - #### lane

          public static final SubscribtionVariable lane

    - #### vehicle

          public static final SubscribtionVariable vehicle

    - #### vehicleType

          public static final SubscribtionVariable vehicleType

    - #### route

          public static final SubscribtionVariable route

    - #### poi

          public static final SubscribtionVariable poi

    - #### polygon

          public static final SubscribtionVariable polygon

    - #### person

          public static final SubscribtionVariable person

    - #### junction

          public static final SubscribtionVariable junction

    - #### simulation

          public static final SubscribtionVariable simulation

    - #### gui

          public static final SubscribtionVariable gui

    - #### edge

          public static final SubscribtionVariable edge

  - ### Method Detail

    - #### values

          public static SubscribtionVariable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubscribtionVariable c : SubscribtionVariable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubscribtionVariable valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getID

          public int getID()